LIBRARY ieee;
USE ieee.std_logic_1164.ALL;
USE ieee.std_logic_unsigned.all;
USE ieee.numeric_std.ALL;
 
ENTITY Testbench IS
END Testbench;
 
ARCHITECTURE behavior OF Testbench IS 
 
    -- Component Declaration for the Unit Under Test (UUT)
 
    COMPONENT spartan3AN_test
    PORT(
         CLK_50MHZ : IN  std_logic;
         SPI_SCK : OUT  std_logic;
         SPI_MOSI : OUT  std_logic;
         DAC_CLR : OUT  std_logic;
         DAC_CS : OUT  std_logic;
         btn_south : IN  std_logic
        );
    END COMPONENT;
    

   --Inputs
   signal CLK_50MHZ : std_logic := '0';
   signal btn_south : std_logic := '0';

 	--Outputs
   signal SPI_SCK : std_logic;
   signal SPI_MOSI : std_logic;
   signal DAC_CLR : std_logic;
   signal DAC_CS : std_logic;
   
	constant CLK_50MHz_period : time := 20 us;
BEGIN
 
	-- Instantiate the Unit Under Test (UUT)
   uut: spartan3AN_test PORT MAP (
          CLK_50MHZ => CLK_50MHZ,
          SPI_SCK => SPI_SCK,
          SPI_MOSI => SPI_MOSI,
          DAC_CLR => DAC_CLR,
          DAC_CS => DAC_CS,
          btn_south => btn_south
        );
 
 
   CLK50MHz_process :process
   begin
		CLK_50MHz <= '0';
		wait for CLK_50MHz_period/2;
		CLK_50MHz <= '1';
		wait for CLK_50MHz_period/2;
   end process;
 

   -- Stimulus process
   stim_proc: process
   begin		
      
      wait;
   end process;

END;
